## visad
Class DoubleSet

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Set
                  visad.SimpleSet
                      visad.DoubleSet

All Implemented Interfaces:
  Cloneable, Data, Serializable, SetIface, SimpleSetIface, Thing

public class DoubleSet
extends SimpleSet

DoubleSet represents the finite (but large) set of samples of R^dimension made by vectors of IEEE double precision floating point numbers. DoubleSet objects are immutable.

DoubleSet cannot be used for the domain sampling of a Field.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
`ThingImpl.RemotePair`

Field Summary

Fields inherited from class visad.SimpleSet
`ManifoldDimension`

Fields inherited from class visad.Set
`DomainCoordinateSystem, DomainDimension, hashCode, hashCodeSet, Length, SetErrors, SetUnits`

Fields inherited from class visad.DataImpl
`Type`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`DoubleSet(MathType type)` construct a DoubleSet with null CoordinateSystem and Units
`DoubleSet(MathType type, CoordinateSystem coord_sys, Unit[] units)` construct a DoubleSet with null CoordinateSystem and Units

Method Summary
`Object` `clone()` Clones this instance.
`Object` `cloneButType(MathType type)` Clones this instance with a different MathType.
`boolean` `equals(Object set)` Indicates whether or not this instance is equal to an object
`int` `getLength()` for DoubleSet, this always throws a SetException
`float[][]` `indexToValue(int[] index)` for DoubleSet, this always throws a SetException
`boolean` `isMissing()`
`String` `longString(String pre)`
`int[]` `valueToIndex(float[][] value)` for DoubleSet, this always throws a SetException
`void` `valueToInterp(float[][] value, int[][] indices, float[][] weights)` for DoubleSet, this always throws a SetException

Methods inherited from class visad.SimpleSet
`getManifoldDimension, setAnimationSampling`

Methods inherited from class visad.Set

`__getitem__, __len__, addEqualsCache, addNotEqualsCache, adjustType, computeRanges, computeRanges, copyDoubles, copyFloats, cram_missing, doubleToFloat, doubleToIndex, equalUnitAndCS, floatToDouble, getCoordinateSystem, getDimension, getDimension, getDoubles, getDoubles, getNeighbors, getNeighbors, getNeighbors, getSamples, getSamples, getSetErrors, getSetUnits, getWedge, indexToDouble, longString, main, make1DGeometry, make2DGeometry, make3DGeometry, makeIsoLines, makeIsoSurface, makePointGeometry, makeSpatial, merge1DSets, testEqualsCache, testNotEqualsCache, unary, unitAndCSHashCode`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeReferenceRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, invertOp, local, log, log, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, setParent, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, toString, unary`

Methods inherited from class visad.ThingImpl
`adaptedAddReference, adaptedRemoveReference, addReference, removeReference`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.SetIface
`cram_missing, doubleToIndex, equalUnitAndCS, getCoordinateSystem, getDimension, getDoubles, getDoubles, getNeighbors, getNeighbors, getNeighbors, getSamples, getSamples, getSetErrors, getSetUnits, getWedge, indexToDouble, make1DGeometry, make2DGeometry, make3DGeometry, makeIsoLines, makeIsoSurface, makePointGeometry, makeSpatial, merge1DSets`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Constructor Detail

### DoubleSet

    public DoubleSet(MathType type)
              throws VisADException

  construct a DoubleSet with null CoordinateSystem and Units

Parameters:
  `type` - MathType for this DoubleSet, must be SetType, RealTupleType or RealType
Throws:
  `VisADException` - a VisAD error occurred

### DoubleSet

    public DoubleSet(MathType type,
                     CoordinateSystem coord_sys,
                     Unit[] units)
              throws VisADException

  construct a DoubleSet with null CoordinateSystem and Units

Parameters:
  `type` - MathType for this DoubleSet, must be SetType, RealTupleType or RealType
  `coord_sys` - CoordinateSystem for Set domain, must be compatible with default for type
  `units` - array of Units for Real values in Set domain, must be compatible with defaults for type
Throws:
  `VisADException` - a VisAD error occurred

Method Detail

### indexToValue

    public float[][] indexToValue(int[] index)
                           throws VisADException

  for DoubleSet, this always throws a SetException

  Specified by:
    `indexToValue` in interface `SetIface`
  Specified by:
    `indexToValue` in class `Set`
  Parameters:
    `index` - array of integer indices
  Returns:
    float[domain_dimension][indices.length] array of Set values (but always throws SetException instead)
  Throws:
    `VisADException` - a VisAD error occurred

### valueToIndex

    public int[] valueToIndex(float[][] value)
                       throws VisADException

  for DoubleSet, this always throws a SetException

  Specified by:
    `valueToIndex` in interface `SetIface`
  Specified by:
    `valueToIndex` in class `Set`
  Parameters:
    `value` - float[domain_dimension][number_of_values] array of Set values
  Returns:
    array of integer indices (but always throws SetException instead)
  Throws:
    `VisADException` - a VisAD error occurred

### valueToInterp

    public void valueToInterp(float[][] value,
                              int[][] indices,
                              float[][] weights)
                       throws VisADException

  for DoubleSet, this always throws a SetException

  Specified by:
    `valueToInterp` in interface `SimpleSetIface`
  Specified by:
    `valueToInterp` in class `SimpleSet`
  Parameters:
    `value` - float[domain_dimension][number_of_values] array of Set values
    `indices` - int[number_of_values][] array for returning Set indices
    `weights` - float[number_of_values][] array for returning weights
  Throws:
    `VisADException` - a VisAD error occurred

### getLength

    public int getLength()
                  throws VisADException

  for DoubleSet, this always throws a SetException

  Specified by:
    `getLength` in interface `SetIface`
  Overrides:
    `getLength` in class `Set`
  Returns:
    length of Set (but always throws SetException instead)
  Throws:
    `VisADException` - a VisAD error occurred

### equals

    public boolean equals(Object set)

  Indicates whether or not this instance is equal to an object

  Specified by:
    `equals` in interface `SetIface`
  Specified by:
    `equals` in class `Set`
  Parameters:
    `set` - the object in question.
  Returns:
    `true` if and only if this instance equals set.

### isMissing

    public boolean isMissing()

  Returns:
    false (a DoubleSet is never missing)

### clone

    public final Object clone()

  Clones this instance.

  Overrides:
    `clone` in class `Set`
  Returns:
    A clone of this instance.

### cloneButType

    public Object cloneButType(MathType type)
                        throws VisADException

  Clones this instance with a different MathType.

  Specified by:
    `cloneButType` in interface `SetIface`
  Specified by:
    `cloneButType` in class `Set`
  Parameters:
    `type` - MathType for returned DoubleSet
  Returns:
    A clone of this instance.
  Throws:
    `VisADException`

### longString

    public String longString(String pre)
                      throws VisADException

  Specified by:
    `longString` in interface `Data`
  Overrides:
    `longString` in class `Set`
  Parameters:
    `pre` - String added to start of each line
  Returns:
    a longer String than returned by toString(), indented by pre (a string of blanks)
  Throws:
    `VisADException`